MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030820Open CASCADE[OCCT] OCCT:DRAWpublic2019-07-01 11:402019-07-08 12:58
Reportertizmaylo 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.5.4 
Target Version[OCCT] 7.4.0Fixed in Version 
Summary0030820: Draw Harness, ViewerTest - vsetcolor has no effect on objects created by vsegment and vtriangle
DescriptionIf a segment or a triangle is created in the viewer with vsegment or vtriangle command correspondingly, it is impossible to set a color to this interactive object.
Steps To Reproduce
pload MODELING VISUALIZATION
vclear
vinit View1
vaxo
vrenderparams -shadingModel unlit
vpoint p1 -2 -1  0
vpoint p2  2 -1  0
vpoint p3  0  2  0
vtriangle t p1 p2 p3
vfit
vsetcolor t RED



Create a segment with vsegment command or a triangle with vtriangle command and try to change its color with

vsetcolor anObjectName aColor

or with

vaspects anObjectName -setColor aColor

Nothing will happen.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0085366)
git (administrator)
2019-07-01 11:53

Branch CR30820 has been created by tizmaylo.

SHA-1: 9c8bd0291d9bb8a671234ee84b3d6458f91eeadb


Detailed log of new commits:

Author: tiv
Date: Mon Jul 1 11:51:35 2019 +0300

    0030820: DRAW - A color can't be set for objects created with commands vsegment and vtriangle
    
    MyPArrayObject class (an interactive object representing some array of primitives) is improved: a possibility of color changing is added to it. Corresponding test cases (for segment and triangle) are added.
(0085369)
kgv (developer)
2019-07-01 12:34
edited on: 2019-07-01 12:34

+  myDrawer->SetupOwnShadingAspect();

This should be moved to MyPArrayObject::SetColor():
if (myDrawer->SetupOwnShadingAspect())
{
  Graphic3d_MapOfAspectsToAspects aReplaceMap;
  aReplaceMap.Bind (myDrawer->Link()->ShadingAspect()->Aspect(), myDrawer->ShadingAspect()->Aspect());
  
replaceAspects (aReplaceMap);
}
myDrawer->ShadingAspect()->SetColor (theColor);
SynchronizeAspects();


Test case is redundant for this test functionality.

(0085384)
git (administrator)
2019-07-02 20:06

Branch CR30820 has been updated forcibly by tizmaylo.

SHA-1: 8baee96d15c80cec240ab1ebd3cf695fe366fa2b
(0085391)
tizmaylo (developer)
2019-07-03 11:08

Patch is ready for review: http://jenkins-test-12.nnov.opencascade.com:8080/view/CR30820-master-TIV/view/ALL/ [^]
(0085401)
apn (administrator)
2019-07-03 12:35

Combination -
OCCT branch : CR30820
master SHA - 8baee96d15c80cec240ab1ebd3cf695fe366fa2b
a9b94337355ec3f7567ca34443f3344c226eff7d
Products branch : master SHA - db8c86cbe38365457a0bfa462c99cda5c5911d58
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16470.060000000143 / 16485.620000000054 [-0.09%]
Products
Total CPU difference: 10523.650000000047 / 10512.000000000038 [+0.11%]
Windows-64-VC14:
OCCT
Total CPU difference: 17845.84375 / 17868.765625 [-0.13%]
Products
Total CPU difference: 12083.25 / 12192.9375 [-0.90%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0085469)
git (administrator)
2019-07-08 12:58

Branch CR30820 has been deleted by inv.

SHA-1: 8baee96d15c80cec240ab1ebd3cf695fe366fa2b

- Related Changesets
occt: master acc6542a
Timestamp: 2019-07-02 16:53:20
Author: tiv
Committer: apn
Details ] Diff ]
0030820: Draw Harness, ViewerTest - vsetcolor has no effect on objects created by vsegment and vtriangle

MyPArrayObject class (an interactive object representing some array of primitives) is improved: a possibility of color changing is added to it.
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-07-01 11:40 tizmaylo New Issue
2019-07-01 11:40 tizmaylo Assigned To => tizmaylo
2019-07-01 11:41 tizmaylo Steps to Reproduce Updated View Revisions
2019-07-01 11:41 tizmaylo Steps to Reproduce Updated View Revisions
2019-07-01 11:53 git Note Added: 0085366
2019-07-01 12:34 kgv Note Added: 0085369
2019-07-01 12:34 kgv Note Edited: 0085369 View Revisions
2019-07-01 12:35 kgv Product Version => 7.3.0
2019-07-01 12:35 kgv Summary DRAW - A color can't be set for objects created with commands vsegment and vtriangle => Draw Harness - A color can't be set for objects created with commands vsegment and vtriangle
2019-07-01 12:38 kgv Steps to Reproduce Updated View Revisions
2019-07-01 12:39 kgv Product Version 7.3.0 => 6.5.4
2019-07-01 12:41 kgv Summary Draw Harness - A color can't be set for objects created with commands vsegment and vtriangle => Draw Harness, ViewerTest - vsetcolor has no effect on objects created by vsegment and vtriangle
2019-07-02 20:06 git Note Added: 0085384
2019-07-03 11:08 tizmaylo Note Added: 0085391
2019-07-03 11:12 tizmaylo Assigned To tizmaylo => kgv
2019-07-03 11:12 tizmaylo Status new => resolved
2019-07-03 11:13 kgv Assigned To kgv => bugmaster
2019-07-03 11:13 kgv Status resolved => reviewed
2019-07-03 12:35 apn Test case number => Not needed
2019-07-03 12:35 apn Note Added: 0085401
2019-07-03 12:35 apn Status reviewed => tested
2019-07-07 12:19 apn Changeset attached => occt master acc6542a
2019-07-07 12:19 apn Assigned To bugmaster => apn
2019-07-07 12:19 apn Status tested => verified
2019-07-07 12:19 apn Resolution open => fixed
2019-07-08 12:58 git Note Added: 0085469


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker